
Summary: GStreamer backend for Phonon
Name:    phonon-gstreamer
Version: 4.8.2
Release: %mkrel 6
Group:   Sound
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/phonon-backend-gstreamer-%{version}.tar.xz
# run this script to generate a snapshot tarball
Source1: phonon-gstreamer_snapshot.sh
Patch0: phonon-gstreamer-gst15_include_dirs.patch
Patch1: phonon-backend-gstreamer-4.8.2-flac_mimetype.patch
#-----------------------------------------------------------------------------
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: kde4-macros
BuildRequires: mesa-devel
BuildRequires: phonon-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}qt4-devel
#-----------------------------------------------------------------------------
Provides: phonon-backend = %version-%release
Provides:  phonon-backend-gstreamer = %version-%release
Provides: phonon-xine
#----------------------------------------------------------------------------
Requires: %{_lib}phonon4 >= 4.8.3
Requires: phonon-gstreamer-common
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-bad
Requires: gstreamer1.0-plugins-ugly
#-----------------------------------------------------------------------------
%description
%{summary}.

%files -n phonon-gstreamer
%_kde_libdir/kde4/plugins/phonon_backend/phonon_gstreamer.so
%_kde_datadir/kde4/services/phononbackends/gstreamer.desktop

#-----------------------------------------------------------------------------
%package -n phonon-gstreamer-common
Summary: Common files for GStreamer backends for Phonon
Group:   Sound
BuildArch: noarch

%description -n phonon-gstreamer-common
Common files for GStreamer backends for Phonon.

%files -n phonon-gstreamer-common
%_datadir/icons/hicolor/*/apps/phonon-gstreamer.*


%prep
%setup -q -n phonon-backend-gstreamer-%{version}
%apply_patches

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 -DUSE_INSTALL_PLUGIN:BOOL=ON ../..
    %make
popd



%install
rm -rf %buildroot
%makeinstall_std -C Qt4/build



%changelog
* Thu Oct 20 2016 adrianomorselli <adrianomorselli> 4.8.2-6uplos2016
- rebuild and removed qt5

* Sun Sep 18 2016 bb <bb> 4.8.2-6pclos2016
- rebuild for updates

* Sun Apr 24 2016 bb <bb> 4.8.2-5pclos2016
- update

* Thu Mar 31 2016 bb <bb> 4.8.2-4pclos2016
- add support for KDE5

* Fri Feb 27 2015 bb <bb> 4.8.2-3pclos2015
- add prov phonon-xine so we can get rid
- of that dead ass backend

* Fri Feb 27 2015 bb <bb> 4.8.2-2pclos2015
- add good bad and ugly gstreamer10 dep

